Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.messaging
Class InvalidPropertyValueException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  com.sun.messaging.InvalidPropertyValueException

All Implemented Interfaces:
  java.io.Serializable

    public class InvalidPropertyValueException

extends JMSException

An `InvalidPropertyValueException` is thrown when setProperty is called with an invalid property value parameter.

See Also:
  `javax.jms.ConnectionFactory`, `com.sun.messaging.AdministeredObject.setProperty(propname, propval)`, Serialized Form

Constructor Summary
`InvalidPropertyValueException(java.lang.String name, java.lang.String value)` Constructs an InvalidPropertyValueException.

Method Summary

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidPropertyValueException

    public InvalidPropertyValueException(java.lang.String name,
                                         java.lang.String value)

  Constructs an InvalidPropertyValueException.

  The exception message is formatted as

  `name=value`

  Parameters:
    `name` - The property name.
    `value` - The invalid property value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Message Queue, v4.5 API Specification
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.